Summary:	gedit - small but powerful text editor for X Window
Summary(pl.UTF-8):	gedit - mały ale potężny edytor tekstu dla X Window
Name:		gedit
Version:	3.14.1
Release:	1
License:	GPL v2+
Group:		X11/Applications/Editors
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gedit/3.14/%{name}-%{version}.tar.xz
# Source0-md5:	1790151fd93ed4dee40215b3b10885ec
URL:		http://www.gnome.org/projects/gedit/
BuildRequires:	autoconf >= 2.63.2
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	enchant-devel >= 1.2.0
BuildRequires:	gettext-devel >= 0.18
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-doc-utils >= 0.14.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gsettings-desktop-schemas-devel >= 3.2.0
BuildRequires:	gtk+3-devel >= 3.14.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	gtksourceview3-devel >= 3.14.0
BuildRequires:	intltool >= 0.50.1
BuildRequires:	iso-codes >= 0.35
BuildRequires:	libpeas-devel >= 1.7.0
BuildRequires:	libpeas-gtk-devel >= 1.7.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 3.2.3
BuildRequires:	python3-pygobject3-devel >= 3.0.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRequires:	yelp-tools
BuildRequires:	zeitgeist-devel >= 0.9.12
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.40.0
Requires:	enchant >= 1.2.0
Requires:	glib2 >= 1:2.40.0
Requires:	gsettings-desktop-schemas >= 3.2.0
Requires:	gtk+3 >= 3.14.0
Requires:	gtksourceview3 >= 3.14.0
Requires:	iso-codes >= 0.35
Requires:	libpeas-loader-python3 >= 1.7.0
Requires:	python3-pycairo
Requires:	python3-pygobject3 >= 3.0.0
Requires:	zeitgeist-libs >= 0.9.12
Obsoletes:	gedit-plugins < 2.3.3-2
# sr@Latn vs. sr@latin
Obsoletes:	gedit2
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	skip_post_check_so libgedit-private.so.0.0.0

%description
gedit is a small but powerful text editor for GTK+ and/or GNOME. It
includes such features as split-screen mode, a plugin API, which
allows gedit to be extended to support many features while remaining
small at its core, multiple document editing and many more functions.

%description -l pl.UTF-8
gedit jest małym ale potężnym edytorem tekstu dla GTK+ i/lub GNOME.
Zawiera takie funkcje jak tryb podzielonego ekranu, API dla "wtyczek",
który umożliwia rozszerzenie funkcji gedita o dodatkowe możliwości,
nie zwiększając rozmiarów samego programu, możliwość edycji wielu
dokumentów naraz i wiele innych.

%package devel
Summary:	gedit header files
Summary(pl.UTF-8):	Pliki nagłówkowe gedit
Group:		X11/Development/Libraries
# doesn't require base
Requires:	glib2-devel >= 1:2.40.0
Requires:	gtk+3-devel >= 3.14.0
Requires:	gtksourceview3-devel >= 3.14.0
Requires:	libpeas-devel >= 1.7.0
Requires:	libpeas-gtk-devel >= 1.7.0
Obsoletes:	gedit2-devel

%description devel
gedit header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe gedit.

%package apidocs
Summary:	gedit API documentation
Summary(pl.UTF-8):	Dokumentacja API gedit
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	gedit2-apidocs
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
gedit API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API gedit.

%package -n vala-gedit
Summary:	gedit API for Vala language
Summary(pl.UTF-8):	API gedit dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala

%description -n vala-gedit
gedit API for Vala language.

%description -n vala-gedit -l pl.UTF-8
API gedit dla języka Vala.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__intltoolize}
%{__aclocal} -I m4 -I libgd
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	--disable-updater \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gedit/plugins/*.la \
	$RPM_BUILD_ROOT%{_libdir}/gedit/*.la

%find_lang gedit --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%glib_compile_schemas

%postun
%update_desktop_database_postun
%glib_compile_schemas

%files -f gedit.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_bindir}/gedit
%attr(755,root,root) %{_bindir}/gnome-text-editor
%dir %{_libdir}/gedit
%attr(755,root,root) %{_libdir}/gedit/libgedit.so
%dir %{_libdir}/gedit/plugins
%attr(755,root,root) %{_libdir}/gedit/gedit-bugreport.sh
%attr(755,root,root) %{_libdir}/gedit/plugins/*.so
%{_libdir}/gedit/plugins/*.plugin
%{_libdir}/gedit/plugins/externaltools
%{_libdir}/gedit/plugins/pythonconsole
%{_libdir}/gedit/plugins/snippets
%{_libdir}/gedit/plugins/quickopen
%dir %{_libdir}/gedit/girepository-1.0
%{_libdir}/gedit/girepository-1.0/Gedit-3.0.typelib
%{_datadir}/appdata/org.gnome.gedit.appdata.xml
%{_datadir}/gedit
%{_datadir}/GConf/gsettings/gedit.convert
%{_datadir}/dbus-1/services/org.gnome.gedit.service
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.externaltools.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.filebrowser.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.filebrowser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.pythonconsole.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.time.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.time.gschema.xml
%{_desktopdir}/org.gnome.gedit.desktop
%{_mandir}/man1/gedit.1*
%{py3_sitedir}/gi/overrides/*.py
%{py3_sitedir}/gi/overrides/__pycache__/*.py[co]

%files devel
%defattr(644,root,root,755)
%{_includedir}/gedit-3.12
%{_pkgconfigdir}/gedit.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gedit

%files -n vala-gedit
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gedit.deps
%{_datadir}/vala/vapi/gedit.vapi
%changelog
* Mon Dec 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gedit.git;a=log;h=master

* Mon Dec 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> ea58c15
- applied upstream

* Mon Dec 01 2014 Łukasz Kieś <kiesiu@pld-linux.org> 2847bab
- updated to 3.14.1
- updated -devel requires

* Wed Nov 05 2014 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> 8cbb4c4
- Update to 3.14.0

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9c3f92d
- python 3.4
- release 2 (by relup.sh)

* Sat Jun 14 2014 Marcin Banasiak <marcin.banasiak@gmail.com> e30f858
- Update to 3.12.2

* Wed Apr 16 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 04b337d
- Update to 3.12.1

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> bde5f1a
- noarch apidocs

* Mon Mar 31 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 2b9cbd8
- Update to 3.12.0

* Fri Jan 24 2014 Łukasz Kieś <kiesiu@pld-linux.org> 4f20361
- updated to 3.10.4

* Sun Jan 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 7be77e0
- cleanup, updated dependencies, more docs
- devel doesn't require base

* Mon Dec 23 2013 Łukasz Kieś <kiesiu@pld-linux.org> 9422983
- updated to 3.10.3

* Thu Nov 14 2013 Łukasz Kieś <kiesiu@pld-linux.org> 3f87094
- updated to 3.10.2

* Wed Oct 16 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 32f5299
- Update to 3.10.1

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 02b58ec
- Update to 3.10.0

* Thu Aug 01 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 6c0a51e
- Update to 3.8.3

* Sat May 25 2013 Marcin Banasiak <marcin.banasiak@gmail.com> b82cc98
- Update to 3.8.2

* Wed Mar 27 2013 Łukasz Kieś <kiesiu@pld-linux.org> ff2a1fe
- updated to 3.8.0

* Sun Nov 18 2012 Łukasz Kieś <kiesiu@pld-linux.org> ffb0177
- updated to 3.6.2

* Wed Oct 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 84c687c
- updated to 3.6.1

* Tue Oct 02 2012 Marcin Banasiak <marcin.banasiak@gmail.com> f5a22f5
- Updated to 3.6.0

